[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TBucketItem

Record used in bucket list.

## Declaration

Source position: contnrs.pp line 487

`type TBucketItem = record`
`Item: Pointer;` |  | Item to associate data with
`Data: Pointer;` |  | Data associated with item
`end;`

## Description

TBucketItem is a record used for internal use in TCustomBucketList. It should not be necessary to use it directly.

## See also

TCustomBucketList |  | Custom bucket list class

The latest version of this document can be found at lazarus-ccr.sourceforge.net.